#!/bin/sh

MEDIUM=10
HIGH=15
MESSAGE=/tmp/p4locks$$
CNT=`/usr/sbin/lsof -bw -c p4d | wc -l`

# echo "$CNT locks reported by lsof, " `date`
if [ $CNT -gt $MEDIUM ]
then
        echo "lsof reports $CNT locks for p4d at <"`date`">"  > $MESSAGE
        echo "p4 monitor show -al:" >> $MESSAGE

        p4 monitor show -al >> $MESSAGE

        if [ $CNT -gt $HIGH ]
        then
           mail -s "p4d lock warning" smoon@smtp.perforce.com < $MESSAGE
        else
           mail -s "p4d lock alert" smoon@smtp.perforce.com < $MESSAGE
        fi
        /bin/rm -f $MESSAGE
fi
